# Get Bot Chats GET https://api.meetstream.ai/api/v1/bots/{bot_id}/get_chats Reference: https://docs.meetstream.ai/api-reference/ap-is/bot-endpoints/get-bot-chats ## OpenAPI Specification ```yaml openapi: 3.1.0 info: title: Meetstream API version: 1.0.0 paths: /api/v1/bots/{bot_id}/get_chats: get: operationId: get-bot-chats summary: Get Bot Chats tags: - subpackage_bots parameters: - name: bot_id in: path required: true schema: type: string - name: Authorization in: header description: 'Format: Token ' required: true schema: type: string responses: '200': description: Success content: application/json: schema: $ref: '#/components/schemas/BotChatsResponse' servers: - url: https://api.meetstream.ai components: schemas: BotChatsResponseMetadata: type: object properties: sessionId: type: integer startTime: type: string lastUpdated: type: string totalMessages: type: integer uniqueSpeakers: type: integer botId: type: string meetingId: type: string title: BotChatsResponseMetadata BotChatsResponseSpeakersItems: type: object properties: deviceId: type: string name: type: string displayName: type: string messageCount: type: integer title: BotChatsResponseSpeakersItems BotChatsResponseChatMessagesItems: type: object properties: messageId: type: string deviceId: type: string timestamp: type: string text: type: string speakerName: type: string speakerDisplayName: type: string clientTimestamp: type: string sessionTimestamp: type: integer title: BotChatsResponseChatMessagesItems BotChatsResponseServerMetadata: type: object properties: savedAt: type: string serverBotId: type: string serverMeetingId: type: string serverVersion: type: string title: BotChatsResponseServerMetadata BotChatsResponse: type: object properties: metadata: $ref: '#/components/schemas/BotChatsResponseMetadata' speakers: type: array items: $ref: '#/components/schemas/BotChatsResponseSpeakersItems' chatMessages: type: array items: $ref: '#/components/schemas/BotChatsResponseChatMessagesItems' messagesBySpeaker: type: object additionalProperties: description: Any type serverMetadata: $ref: '#/components/schemas/BotChatsResponseServerMetadata' title: BotChatsResponse securitySchemes: TokenAuth: type: apiKey in: header name: Authorization description: 'Format: Token ' ``` ## SDK Code Examples ```python import requests url = "https://api.meetstream.ai/api/v1/bots/bot_id/get_chats" headers = {"Authorization": ""} response = requests.get(url, headers=headers) print(response.json()) ``` ```javascript const url = 'https://api.meetstream.ai/api/v1/bots/bot_id/get_chats'; const options = {method: 'GET', headers: {Authorization: ''}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.meetstream.ai/api/v1/bots/bot_id/get_chats" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.meetstream.ai/api/v1/bots/bot_id/get_chats") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = '' response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://api.meetstream.ai/api/v1/bots/bot_id/get_chats") .header("Authorization", "") .asString(); ``` ```php request('GET', 'https://api.meetstream.ai/api/v1/bots/bot_id/get_chats', [ 'headers' => [ 'Authorization' => '', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.meetstream.ai/api/v1/bots/bot_id/get_chats"); var request = new RestRequest(Method.GET); request.AddHeader("Authorization", ""); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["Authorization": ""] let request = NSMutableURLRequest(url: NSURL(string: "https://api.meetstream.ai/api/v1/bots/bot_id/get_chats")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```